#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	autobox
Summary:	autobox - call methods on native types
Summary(pl.UTF-8):	autobox - wywoływanie metod na rodzimych typach
Name:		perl-autobox
Version:	2.85
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHOCOLATE/autobox-%{version}.tar.gz
# Source0-md5:	9426e71114884f096f71f2e7002310cf
URL:		http://search.cpan.org/dist/autobox/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Scope-Guard >= 0.03
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same
manner as blessed references.

The autoboxing is transparent: boxed values are not blessed into their
(user-defined) implementation class (unless the method elects to
bestow such a blessing) - they simply use its methods as though they
are.

The classes (packages) into which the native types are boxed are fully
configurable. By default, a method invoked on a non-object is assumed
to be defined in a class whose name corresponds to the ref() type of
that value - or SCALAR if the value is a non-reference.

This mapping can be overriden by passing key/value pairs to the use
autobox statement, in which the keys represent native types, and the
values their associated classes.

As with regular objects, autoboxed values are passed as the first
argument of the specified method. Consequently, given a vanilla use
autobox:

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/autobox.pm
%dir %{perl_vendorarch}/autobox
%{perl_vendorarch}/autobox/*.pm
%dir %{perl_vendorarch}/auto/autobox
%attr(755,root,root) %{perl_vendorarch}/auto/autobox//*.so
%{_mandir}/man3/*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-autobox.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 326e632
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> cb2c061
- up to 2.85

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ddcc7f6
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b354e7f
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 46519e6
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4b73e8a
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c63abcf
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4d1c7f5
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0ac11a6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 121a4ad
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 9be89a3
- up to 2.79

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0a91d4b
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 9a93ac2
- up to 2.75

* Fri Jul 01 2011 marti <marti@pld-linux.org> ce33abc
- up to 2.73

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c6d9b4
- release 2

* Fri Mar 26 2010 amateja <amateja@pld-linux.org> fe7cad5
- updated to 2.70

* Sat Oct 17 2009 amateja <amateja@pld-linux.org> ddbcfdc
- initial

